-- name_der_schule is now a mandatory field relevant for evaluations is
-- therefore not anonymized anymore.
-- Part of mpuls/issue6762

CREATE OR REPLACE FUNCTION anonymize_case(mid int)
RETURNS void AS
$$
BEGIN
    PERFORM anonymize_uuid(mid);
    -- anonymize master table
    UPDATE master_tbl_view SET
        uuid_id = NULL,
        weitere_angaben_kooperationsvereinbarung = NULL,
        weitere_angaben_praeventionskonzept = NULL
    WHERE id = mid;

    -- anonymize repeat groups
    UPDATE rg_gruppenangebote_tbl_view SET
        uuid_id = NULL,
        name_gruppenangebot = NULL,
        weitere_angaben_gruppenangebot = NULL
    WHERE master_id = mid;

END;
$$ LANGUAGE plpgsql VOLATILE SECURITY DEFINER;

REVOKE ALL ON FUNCTION anonymize_case(int) FROM public;
GRANT EXECUTE ON FUNCTION anonymize_case(int) TO GROUP :admin_group;
