BEGIN;

-- issue2491: use a smaller master_tbl_eval_total_view

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.1.2/03-eval_view.sql', current_timestamp);

DROP VIEW master_tbl_eval_total_view CASCADE;
-- HINWEIS:  Löschvorgang löscht ebenfalls Regel _RETURN für Sicht master_tbl_eval_incm_view
-- HINWEIS:  Löschvorgang löscht ebenfalls Sicht master_tbl_eval_incm_view


CREATE OR REPLACE VIEW master_tbl_eval_total_view
   AS SELECT
    m.id AS id,
    m.phase AS phase,
    m.datum_ea_ende AS datum_ea_ende,
    m.geburtsdatum AS geburtsdatum,
    m.geschlecht AS geschlecht,
    m.aufenthaltsstatus AS aufenthaltsstatus,
    m.datum_ea_start AS datum_ea_start,
    m.zugang AS zugang,
    m.datum_cm_start AS datum_cm_start,
    m.datum_ber_start AS datum_ber_start,
    m.datum_ber_ende AS datum_ber_ende,
    m.geburtsland AS geburtsland,
    m.staatsangehoerigkeit AS staatsangehoerigkeit,
    m.staatsangehoerigkeit_weitere AS staatsangehoerigkeit_weitere,
    m.einreisedatum AS einreisedatum,
    m.muttersprache AS muttersprache,
    m.aktuelle_situation AS aktuelle_situation,
    m.aktuelle_schule AS aktuelle_schule,
    m.aktuelle_massnahme_art AS aktuelle_massnahme_art,
    m.hoechster_schulabschluss AS hoechster_schulabschluss,
    m.hoechster_berufsabschluss AS hoechster_berufsabschluss,
    m.kompetenzfeststellung AS kompetenzfeststellung,
    m.datum_cm_ende AS datum_cm_ende,
    m.art_cm_ende AS art_cm_ende,
    m.abbruch_durch AS abbruch_durch,
    m.gruende_abbruch_cm AS gruende_abbruch_cm,
    m.veraenderung_inst_einbindung AS veraenderung_inst_einbindung,
    m.ende_inst_einbindung AS ende_inst_einbindung,
    m.datum_verbleib_feststellung AS datum_verbleib_feststellung,
    m.verbleib_jugendliche AS verbleib_jugendliche
   FROM master_tbl m JOIN ka_status_tbl s
       ON m.id = s.master_id
       WHERE
           s.status <> 3 AND
           (m.bearbeiter_id = (getuserid())::integer)
           OR pg_has_role('admin','MEMBER');
--
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :cm_group;
GRANT SELECT ON master_tbl_eval_total_view TO GROUP :admin_group;


CREATE OR REPLACE  VIEW master_tbl_eval_incm_view AS
    SELECT * FROM master_tbl_eval_total_view
        WHERE phase IN (2,3,4,5);

GRANT SELECT ON public.master_tbl_eval_incm_view TO :cm_group;
GRANT SELECT ON public.master_tbl_eval_incm_view TO :admin_group;

CREATE OR REPLACE  VIEW master_tbl_incm_view AS
    SELECT * FROM master_tbl_view
        WHERE phase IN (2,3,4,5);

GRANT SELECT ON public.master_tbl_incm_view TO :cm_group;
GRANT SELECT ON public.master_tbl_incm_view TO :admin_group;

-- Finish
SET ROLE postgres;


--ROLLBACK;
COMMIT;