BEGIN;

-- Disable trigger so the last accessed time is not changed
ALTER TABLE master_tbl DISABLE TRIGGER USER;

-- Set role
SET ROLE :db_adm;

-- History
INSERT INTO db_history (beschreibung, zeitpunkt)
VALUES ('1.3/03_schulpflicht.sql', current_timestamp);

CREATE TABLE allgemeinschulpflicht_tbl (
    id INTEGER PRIMARY KEY NOT NULL,
    value VARCHAR(13) NOT NULL
);

INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (1, 'Ja');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (2, 'Nein');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (-3, 'Unbekannt');
INSERT INTO allgemeinschulpflicht_tbl (id, value) VALUES (-1, 'Keine Angabe');

GRANT SELECT ON allgemeinschulpflicht_tbl TO GROUP :cm_group;
GRANT SELECT ON allgemeinschulpflicht_tbl TO GROUP :admin_group;

ALTER TABLE master_tbl ADD COLUMN allgemeinschulpflicht INTEGER DEFAULT -1;
ALTER TABLE master_tbl ADD COLUMN berufsschulpflicht INTEGER DEFAULT -1;
ALTER TABLE master_tbl ADD FOREIGN KEY (allgemeinschulpflicht) REFERENCES allgemeinschulpflicht_tbl (id);
ALTER TABLE master_tbl ADD FOREIGN KEY (berufsschulpflicht) REFERENCES allgemeinschulpflicht_tbl (id);

-- Convert data:
-- set to "unbekannt" for all cases on CM ended
UPDATE master_tbl SET allgemeinschulpflicht = -3 WHERE phase = 3; -- CM beendet
UPDATE master_tbl SET berufsschulpflicht    = -3 WHERE phase = 3; -- CM beendet

-- set to "keine Angabe" for all other cases
UPDATE master_tbl SET allgemeinschulpflicht = -1 WHERE phase != 3; -- All except CM beendet
UPDATE master_tbl SET berufsschulpflicht    = -1 WHERE phase != 3; -- All except CM beendet

-- Reactivate the role
SET ROLE postgres;

-- Reactivate the triggers
ALTER TABLE master_tbl ENABLE TRIGGER USER;

COMMIT;
