# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008, 2010 Intevation GmbH, Germany, <info@intevation.de>
#
# This file is part of mpuls JMD
#
# mpuls JMD is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# mpuls JMD is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with mpuls JMD. If not, see <http://www.gnu.org/licenses/>.
#
# mpuls JMD has been developed on behalf of the
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and
# European Social Fund resources.
# Authors:
# Bernhard Herzog <bh@intevation.de>
# Roland Geider <roland.geider@intevation.de>

from pylons import config

from mpulsweb.lib.db import DB
from mpulsweb.lib.security import get_db_parameters
from mpulsweb.lib.base import session


def get_db():
    current_user = session['USER_AUTHORIZED']
    return DB(**get_db_parameters(current_user.login,
                                  current_user.password,
                                  config.get('jmd.casedb.host'),
                                  config.get('jmd.casedb.port'),
                                  config.get('jmd.casedb.database'),
                                  config.get('jmd.casedb.user')))
