## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li><a href="${h.url(controller='case', action='index')}">${_('Case Management')}</a></li>
  <li><a href="${h.url(controller='case', action='new2')}">${_('Create new case')}</a></li>
</%def>

${h.literal(h.folding_helper_functions())}

<div class="waska_form">
  <form id="waska_form" 
        action="${h.url(controller='case', action='newAction')}" 
        accept-charset="UTF-8"
        name="waska_form" method="POST">
    ${h.csrf_token()}
    <h1>${_('Create new case document')}</h1>
    <fieldset style="display:block;margin-bottom:0.5em;">
      <legend>${_('Basic data')}</legend>
      <table>
        <tr>
          <td class="label">
            <label for="name">${_('Lastname')}: </label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="name" id="name"
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="name">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="vorname">${_('Firstname')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="vorname" id="vorname"
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="vorname">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="adresse_strasse">${_('Street')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60" 
                   name="adresse_strasse" id="adresse_strasse" 
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="adresse_strasse">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="adresse_strassenr">${_('Streetnr')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60" 
                   name="adresse_strassenr" id="adresse_strassenr" 
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="adresse_strassenr">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="adresse_plz">${_('PLZ')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60"
                   name="adresse_plz" id="adresse_plz" 
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="adresse_plz">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="adresse_ort">${_('Place')}:</label>
          </td>
          <td>
            <input class="field" type="text" size="50" maxlength="60" 
                   name="adresse_ort" id="adresse_ort" 
                   value="Set by render_htmlfill()." />
          </td>
          <td>
            <form:error name="adresse_ort">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="datum_ea_start">Datum des Erstkontakts</label>
          </td>
          <td>
            <input type="text" class="field mpuls-datepicker" name="datum_ea_start"
                   id="datum_ea_start" maxlength="10"
                   value="Set by render_htmlfill()." />
	  </td>
          <td>
            <form:error name="datum_ea_start">
          </td>
        </tr>
        <tr>
          <td class="label">
            <label for="art_begleitung">Begleitung im Rahmen</label>
          </td>
          <td>
	      <input type="radio" name="art_begleitung" id="CM" value="1" >
		<label for="CM"> des Case Managements &nbsp;</label>
	      <input type="radio" name="art_begleitung" id="BER" value="0" >
		<label for="BER"> der Beratung &nbsp;</label>
	      <input type="radio" name="art_begleitung" id="KA" value="-1">
		<label for="KA"> noch offen &nbsp;</label>
          </td>
          <td>
            <form:error name="art_begleitung">
          </td>
        </tr>
      </table>
    </fieldset>
    <fieldset style="display:block;margin-bottom:0.5em;">
      <legend>${_('Privacy Statement')}</legend>
      <div>
        ${_('Please note: Personal data is only allowed to be documented, if the signed acceptence statement for entering, using and editing personal data has been obtained')}
        <table>
          <tr>
            <td>
              <input style="margin:5px 5px;" type="radio" name="einwilligung"
                id="accept" value="1" >
              <label for="accept">${_('Statement accepted')}</label><br>
              <input style="margin:5px 5px;" type="radio" name="einwilligung"
                id="unclear" value="-1" >
              <label for="unclear">${_('Statement unclear')}</label>
              <a class="help" 
                  href="${h.url('/annotations/help/anonyme_beratung')}" 
                  target="_blank">
                <img width="12" height="12" alt="help"
                     src="${h.url('/images/icons/formular/help.png')}">
              </a>
            </td>
            <td style="valign:top">
              <input class="linklike_button" type="submit" 
                     value="${_('Print statement')}"
	                 name="print" id="newCaseStatement"
              /><br>
              <a href="${h.url('/documents/Datenschutzerklaerung-Deutsch.pdf')}" target="_blank">Datenschutzerklärung (deutsch)</a><br>
              <input class="linklike_button folding" type="submit" 
                   onclick="toggle_folding('EinwilligungenMuster');\
                            toggle_folding('SchweigepflichtMuster');\
                            return false;"
                value="${_('Show translated statements and discretion statement')}"
                     name="toggle_statements" id="toggleStatements"
                /><br>
            </td>
          </tr>
        </table>
      </div>
      <div id="EinwilligungenMuster" style="display:block"> 
        <input type="hidden" name="folded.EinwilligungenMuster" 
                     id="folded.EinwilligungenMuster"
                     value=${session.get('folded.EinwilligungenMuster','none')}>
        <div class="input_space">
          <input class="button" type="submit"
                value="${_('Create case document')}"
	        name="save" id="newCaseSave">
        </div>
        <br />
        <%include file="/privacy/static_statements.mako" />
      </div>
    </fieldset>
    <fieldset id="SchweigepflichtMuster" 
	style="display:block;margin-bottom:0.5em;">
      <legend>Schweigepflichtsentbindung</legend>
      <input type="hidden" name="folded.SchweigepflichtMuster" 
		id="folded.SchweigepflichtMuster"
		value=${session.get('folded.SchweigepflichtMuster','none')}>
      <div>
        Erklärung zur Schweigepflichtsentbindung von Vertrauenspersonen 
        mit Schweigepflicht gemäß § 203 StGB gegenüber der Einrichtung.<br> 
        <input class="linklike_button" type="submit"
                value="${_('Print discretion statement')}"
	            name="printDiscretion" id="newCaseDiscretionStatement" />
      </div>
    </fieldset>

    <div class="input_space">
      <input class="button" type="submit" value="${_('Create case document')}" 
	name="save" id="newCaseSave">
    </div>

    ${h.literal(h.folding_init(["EinwilligungenMuster",
                                "SchweigepflichtMuster"]))
      }
  </form>
</div>
