## -*- coding: utf-8 -*-
<%inherit file="../casemanagement/main.mako" />

<%namespace file="overview.mako" import="overview_table"/>

<%def name="title()">
    ${h.get_app_title()} - ${_('Document overview')}
</%def>

<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('Selected case documents')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='casedocument', action='index', id=session.get('case').id)}">
      ${_('Documents overview')}
    </a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Document overview')}
  </div>
  % if h.hasRole(['cm']) and session.get('case').getState().getState() == 1:
    <div id="modusfield">
      <div class="actions">
    <ul>
      <li><a href="${h.url(controller='casedocument', action='new', id=session['case'].id)}">${_('Add attachment')}</a></li>
    </ul>
      </div>
    </div>
  % endif
</div>


<%def name="show_url(doc)">
${h.url(controller='casedocument', action='show', id=doc.id, url=doc.getName())}
</%def>

<%def name="actions(doc)">
<a href="${show_url(doc)}" target="_blank"
   ><img src="${h.url('/images/icons/open_active_22.png')}" border="0"
         alt="${_('Show')}" title="${_('Show')}" title="${_('Show')}"></a>
% if h.hasRole(['cm']) and session.get('case').is_editable_state():
  <a href="${h.url(controller='casedocument', action='rename', id=doc.id)}"
     ><img src="${h.url('/images/icons/edit_22.png')}" border="0"
           alt="${_('Rename')}" title="${_('Rename')}"></a>
  <a href="${h.url(controller='casedocument', action='delete', id=doc.id,
             confirmed=0)}"
     ><img src="${h.url('/images/icons/delete_active_22.png')}" border="0"
           alt="${_('Delete')}"
           title="${_('Delete')}"></a>
% endif
</%def>

${overview_table(show_url, actions)}
