## -*- coding: utf-8 -*-
<%inherit file="/casemanagement/main.mako" />
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url(controller='case', action='select', id=session.get('case').id, confirmed=1)}">
      ${_('Selected case documents')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='logbook', action='index', id=session.get('case').id)}">
      ${_('Logbook')}
    </a>
  </li>
  <li>
    <a href="${h.url(controller='logbook', action='show', id=c.entry.id)}">
      ${_('Logbook entry')}
    </a>
  </li>
  <li>
    <a href="#"></a>${_('Add attachment')}
  </li>
</%def>

<%def name="title()">
    ${h.get_app_title()} - ${_('Add new document')}
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('Add new document')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url(controller='logbook', action='show', id=c.entry.id)}">
            ${_('Back to: View entry')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

<%
    maxsize = g.mpuls_config.get('case', 'max-document-size')
    maxsizetext = g.mpuls_config.get('case', 'max-document-size-text')
%>
<%namespace file="../documents/filesize.mako" import="filesizescript"/>

${filesizescript(maxsize, maxsizetext)}

<p class="import_p">
  Die Größe eines Dokuments darf
  ${g.mpuls_config.get("case", "max-document-size-text")} nicht überschreiten.
</p>
${h.form(h.url(controller="logbook", action='newDocumentAction'),
  multipart=True, onsubmit="return validateFileSize();")}
${h.csrf_token()}
<div class="widget container">
  <table class="form">
    <colgroup>
      <col width="20%">
      <col width="60%">
      <col width="20%">
    </colgroup>
    <tr>
      <td class="label">
        <label for="name">
          ${_('File')}
        </label>
      </td>
      <td class="">
        <input type="file" name="file.upload" id="file" onchange="showFileSize();" multiple="multiple">
      </td>
      <td class=""><span class="error"><form:error name="file"></span></td>
    </tr>
    <tr>
      <td class=""></td>
      <td colspan="2">
        ${h.hidden('logbook', value=c.entry.id)}
        <input id="upload"  class="button" type="submit" name="upload" value="${_('Submit')}">
      </td>
    </tr>
  </table>
</div>
${h.end_form()}
