SET ROLE :adm_ka_owner;
BEGIN;

CREATE TABLE ka_konfiguration_tbl
(
        id serial NOT NULL,
        bez varchar(64) NOT NULL,
        wert text,
        CONSTRAINT ka_konfiguration_tbl_pkey PRIMARY KEY (id)
);

INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('fkz', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('ka_name', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('ka_adresse', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('ee_formular', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('fp_formular', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('ud_formular', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('anon_transfer', 'on');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('max_speicherdauer', '90');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('jmdstrukur_permission_userid', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('meta_user_name', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('meta_user_password', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('model_place', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('measure_name', '');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('support_js', '-1');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('meta_transfer', 'off');
INSERT INTO ka_konfiguration_tbl (bez, wert) VALUES ('job_percentage', 0);

CREATE OR REPLACE FUNCTION create_konfiguration_ds(_bez varchar, _wert varchar) RETURNS integer
    LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
    AS $$
BEGIN
    INSERT INTO ka_konfiguration_tbl(bez, wert) VALUES (_bez, _wert);
    RETURN currval('ka_konfiguration_tbl_id_seq');
END;
$$;

CREATE OR REPLACE FUNCTION delete_konfiguration_ds(kid integer ) RETURNS void
    LANGUAGE 'plpgsql' VOLATILE EXTERNAL SECURITY DEFINER
    AS $$
BEGIN
    DELETE FROM ka_konfiguration_tbl WHERE id = kid;
END;
$$;

-- Trigger/Logging
CREATE TRIGGER t_ka_konfiguration_tbl_insert AFTER
    INSERT ON ka_konfiguration_tbl
    FOR EACH ROW EXECUTE PROCEDURE mpuls_log();

CREATE TRIGGER t_ka_konfiguration_tbl_update AFTER
    UPDATE ON ka_konfiguration_tbl
    FOR EACH ROW EXECUTE PROCEDURE mpuls_log();

CREATE TRIGGER t_ka_konfiguration_tbl_delete AFTER
    DELETE ON ka_konfiguration_tbl
    FOR EACH ROW EXECUTE PROCEDURE mpuls_log();
COMMIT;

-- Create views
\i sql/install/views/02_configuration.sql
