SET ROLE :adm_ka_owner;
BEGIN;

-- Views auf die Nachrichten
CREATE OR REPLACE VIEW ka_nachrichten_art_tbl_view
    AS SELECT
        a.id           AS id,
        a.beschreibung AS beschreibung
    FROM ka_nachrichten_art_tbl a;

CREATE OR REPLACE RULE ka_nachrichten_art_update_rule
    AS ON UPDATE TO ka_nachrichten_art_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_nachrichten_art_delete_rule
    AS ON DELETE TO ka_nachrichten_art_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_nachrichten_art_insert_rule
    AS ON INSERT TO ka_nachrichten_art_tbl_view DO INSTEAD NOTHING;

GRANT SELECT ON ka_nachrichten_art_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_nachrichten_art_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE VIEW ka_nachrichten_tbl_view
    AS SELECT
        n.id           AS id,
        n.datum        AS datum,
        n.art          AS art,
        a.beschreibung AS art_beschreibung,
        n.titel        AS titel,
        n.nachricht    AS nachricht
    FROM ka_nachrichten_tbl n JOIN ka_nachrichten_art_tbl a
    ON n.art = a.id;

CREATE OR REPLACE RULE ka_nachrichten_update_rule
    AS ON UPDATE TO ka_nachrichten_tbl_view
        DO INSTEAD
        UPDATE ka_nachrichten_tbl SET
            art        = new.art,
            titel      = new.titel,
            nachricht  = new.nachricht
            WHERE ka_nachrichten_tbl.id = new.id;

CREATE OR REPLACE RULE ka_nachrichten_delete_rule
    AS ON DELETE TO  ka_nachrichten_tbl_view DO INSTEAD NOTHING;

CREATE OR REPLACE RULE ka_nachrichten_insert_rule
    AS ON INSERT TO ka_nachrichten_tbl_view DO INSTEAD NOTHING;

GRANT SELECT ON ka_nachrichten_tbl_view TO GROUP :cm_group;
GRANT SELECT ON ka_nachrichten_tbl_view TO GROUP :admin_group;
GRANT UPDATE ON ka_nachrichten_tbl_view TO GROUP :admin_group;

CREATE OR REPLACE  VIEW nm_benutzer_nachrichten_tbl_view AS
    SELECT id, benutzer_id, nachrichten_id, gelesen FROM nm_benutzer_nachrichten_tbl;

GRANT SELECT ON nm_benutzer_nachrichten_tbl_view TO :cm_group;
GRANT SELECT ON nm_benutzer_nachrichten_tbl_view TO :admin_group;

COMMIT;
