#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright 2015 Intevation GmbH, Germany, <info@intevation.de>
# Authors:
# Felix Wolfsteller <felix.wolfsteller@econya.de>

import unittest

from formed.renderer.helpers import tag

class TestRendererHelper(unittest.TestCase):

    def test_trivial_tag(self):
        self.assertEquals(tag("div"), "<div>")

    def test_placeholder_collapse(self):
        EMPTY_STRING = ""
        self.assertEquals(tag("input", some_attribute=EMPTY_STRING),
                "<input some-attribute=\"\">")

        self.assertEquals(tag("input", placeholder=EMPTY_STRING),
                "<input>")
        self.assertEquals(tag("input", placeholder="visualhelp"),
                "<input placeholder=\"visualhelp\">")


if __name__ == "__main__":
    unittest.main()

